package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractCategorygroupListRequest struct {
	// <ext>core:true;format:date</ext> 【更新结束时间】更新结束时间 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	UpdateTimeEnd string `json:"updateTimeEnd,omitempty"`
	// <ext>core:true;format:date</ext> 【更新开始时间】更新开始时间 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	UpdateTimeStart string `json:"updateTimeStart,omitempty"`
	// <ext>core:true</ext> 【是否查询已删除数据】是否查询已删除数据 【传参】 取值范围：true（查询已删除数据），false（不查询已删除数据）；默认为：false（不查询已删除数据）。
	GetDeleteData string `json:"getDeleteData,omitempty"`
}

func (obj ContractCategorygroupListRequest) GetUrl() string {
	return "/contract/categorygroup/list"
}

func (obj ContractCategorygroupListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("updateTimeEnd", obj.UpdateTimeEnd)
	parameter.AddParam("updateTimeStart", obj.UpdateTimeStart)
	parameter.AddParam("getDeleteData", obj.GetDeleteData)
	return parameter
}
